com.sap.conn.jco

## Enum JCoCustomRepository.QueryMode

- java.lang.Object
- - java.lang.Enum<JCoCustomRepository.QueryMode>
  - - com.sap.conn.jco.JCoCustomRepository.QueryMode

- All Implemented Interfaces:
    Serializable, Comparable<JCoCustomRepository.QueryMode>
  Enclosing interface:
    JCoCustomRepository

      public static enum JCoCustomRepository.QueryMode
      extends Enum<JCoCustomRepository.QueryMode>

  Enumeration that describes all modes to control the remote queries of a custom repository.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_AVAILABLE_LAYOUTS` Default mode.
    `DISABLE_REPOSITORY_POOL` Use this mode with care! Instead of a separated repository pool the application pool is used.
    `NON_UNICODE_LAYOUT_ONLY` This mode only looks up the Non-Unicode layout.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCoCustomRepository.QueryMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCoCustomRepository.QueryMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_UNICODE_LAYOUT_ONLY

          public static final JCoCustomRepository.QueryMode NON_UNICODE_LAYOUT_ONLY

      This mode only looks up the Non-Unicode layout. This might be needed for design time scenarios, where the runtime layout on the line is actually not needed.

    - #### ALL_AVAILABLE_LAYOUTS

          public static final JCoCustomRepository.QueryMode ALL_AVAILABLE_LAYOUTS

      Default mode. The repository will lookup all data layouts and behave like a standard repository.

    - #### DISABLE_REPOSITORY_POOL

          public static final JCoCustomRepository.QueryMode DISABLE_REPOSITORY_POOL

      Use this mode with care! Instead of a separated repository pool the application pool is used. This would mean that the application user needs the repository authorizations. For certain exotic use cases it still might be needed.

  - ### Method Detail

    - #### values

          public static JCoCustomRepository.QueryMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCoCustomRepository.QueryMode c : JCoCustomRepository.QueryMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCoCustomRepository.QueryMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 SAP. All Rights Reserved.